{%- from "manila/map.jinja" import cfg,api,scheduler,data,share,client,upgrade with context %}

manila_task_pkg_latest:
  test.show_notification:
    - text: "Running manila.upgrade.pkg_latest"

policy-rc.d_present:
  file.managed:
    - name: /usr/sbin/policy-rc.d
    - mode: 755
    - contents: |
        #!/bin/sh
        exit 101

{%- set pkgs = [] %}
{%- if api.get('enabled', False) %}
  {%- do pkgs.extend(api.pkgs) %}
{%- endif %}
{%- if scheduler.get('enabled', False) %}
  {%- do pkgs.extend(scheduler.pkgs) %}
{%- endif %}
{%- if data.get('enabled', False) %}
  {%- do pkgs.extend(data.pkgs) %}
{%- endif %}
{%- if share.get('enabled', False) %}
  {%- do pkgs.extend(share.pkgs) %}
{%- endif %}
{%- if client.get('enabled', False) %}
  {%- do pkgs.extend(client.pkgs) %}
{%- endif %}

manila_pkg_latest:
  pkg.latest:
  - names: {{ pkgs|unique }}
  - require:
    - file: policy-rc.d_present
  - require_in:
    - file: policy-rc.d_absent

policy-rc.d_absent:
  file.absent:
    - name: /usr/sbin/policy-rc.d
