{%- from "manila/map.jinja" import api with context %}

manila_upgrade_verify_api:
  test.show_notification:
    - text: "Running manila.upgrade.verify.api"

{%- if api.get('role', 'secondary') == 'primary' %}
  {%- set share_type_name = 'UpgradeTestShareType' %}
  {%- set share_type_extra_specs = {'driver_handles_share_servers': False} %}
manila_create_share_type_{{ share_type_name }}:
  manilang.share_type_present:
    - cloud_name: admin_identity
    - name: {{ share_type_name }}
    - extra_specs: {{ share_type_extra_specs }}
    - microversion: '2.40'

manila_delete_share_type_{{ share_type_name }}:
  manilang.share_type_absent:
    - cloud_name: admin_identity
    - name: {{ share_type_name }}
    - require:
      - manilang: manila_create_share_type_{{ share_type_name }}

{%- endif %}
